XScreenSaver(1)

NAME
splitflap - a simulation of a split-flap electromechanical display.

SYNOPSIS
splitflap [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--delay microseconds] [--speed float] [--width columns] [--height rows] [--mode text | clock12 | clock24] [--no-wander] [--spin axes] [--no-spin] [--front] [--no-front] [--wireframe] [--fps]

DESCRIPTION
Simulates a split-flap display, an old style of electromechanical sign as seen in airports and train stations, and commonly used in alarm clocks in the 1960s and 1970s.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay number
    Per-frame delay, in microseconds. Default: 20000 (0.02 seconds).

--speed number
    Animation speed. 2.0 means twice as fast, 0.5 means half as fast.

--width number
    Columns of the display. Default: 22.

--height number
    Rows of the display. Default: 8.

--mode clock12
    Display a 12-hour clock.

--mode clock24
    Display a 24-hour clock.

--front | --no-front
    When spinning, never spin all the way around or upside down: always face mostly forward so that the text is easily readable. This is the default.

--no-front
    Allow spins to go all the way around or upside down.

--wander | --no-wander
    Whether the object should wander around the screen.

--spin
    Which axes around which the text should spin. The default is "XYZ", meaning rotate it freely in space. "--spin Z" would rotate the text in the plane of the screen while not rotating it into or out of the screen; etc.

--wireframe | --no-wireframe
    Render in wireframe instead of solid.

--fps | --no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2015 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski.